SND_SOC_DAI_SET_TDM_(9)

NAME
snd_soc_dai_set_tdm_slot - configure DAI TDM.

SYNOPSIS

int snd_soc_dai_set_tdm_slot(struct snd_soc_dai * dai, unsigned int tx_mask, unsigned int rx_mask, int slots, int slot_width);

ARGUMENTS

dai
    DAI

tx_mask
    bitmask representing active TX slots.

rx_mask
    bitmask representing active RX slots.

slots
    Number of slots in use.

slot_width
    Width in bits for each slot.

DESCRIPTION

Configures a DAI for TDM operation. Both mask and slots are codec and DAI specific.

COPYRIGHT